
var makeSpace;
makeSpace = function (buffer, n) {
  if (n > 0) {
    return makeSpace('' + buffer + ' ', n - 1);
  } else {
    return buffer;
  }
};
exports.spaces = function (n) {
  return makeSpace('', n);
};
exports.type = function (x) {
  var info, theType;
  info = Object.prototype.toString.call(x);
  theType = info.slice(8, -1);
  return theType.toLowerCase();
};
exports.markToken = function (text) {
  if (text.match(/^[^\"\s$\(\)]+$/)) {
    return text;
  } else {
    return JSON.stringify(text);
  }
};
exports.isPlain = function (list) {
  return list.every(function (child) {
    return (exports.type(child)) === 'string';
  });
};
exports.isArray = function (x) {
  return (exports.type(x)) === 'array';
};
